Single deviceOutletStatus entry containing device info.
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.21317.1.3.2.2.2.1.5.1
Single deviceOutletStatus entry containing device info.
Identification
{1 3 6 1 4 1 21317 1 3 2 2 2 1 5 1}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
deviceOutletStatusEntry OBJECT-TYPE
SYNTAX DeviceOutletStatusEntry
MAX-ACCESS not-accessible
STATUS current
DESCRIPTION
"Single deviceOutletStatus entry containing device info."
INDEX { deviceOutletStatusIndex }
::= { deviceOutletStatusTable 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Single deviceOutletStatus entry containing device info.
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: current.
Names: deviceOutletStatusEntry
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"deviceOutletStatusEntry",
"OBJECT-TYPE",
"SYNTAX",
"DeviceOutletStatusEntry",
"MAX-ACCESS",
"not-accessible",
"STATUS",
"current",
"DESCRIPTION",
"\"Single deviceOutletStatus entry containing device info.\"",
"INDEX",
"{",
"deviceOutletStatusIndex",
"}",
"::=",
"{",
"deviceOutletStatusTable",
"1",
"}"
],
"syntax_tree": [
[
"row",
"DeviceOutletStatusEntry"
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"Single deviceOutletStatus entry containing device info."
],
null,
null,
[
"INDEX",
[
[
0,
"deviceOutletStatusIndex"
]
]
],
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: ATEN-PE-CFG
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'NOTIFICATION-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString'], 'SNMP-USER-BASED-SM-MIB': ['KeyChange']}Related source files and packages:
Vendor MIB copy from the LibreNMS archive.
Module: ATEN-PE-CFG-STR
Same published definition (formatting differs; exact original is in the source file)
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'NOTIFICATION-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString'], 'SNMP-USER-BASED-SM-MIB': ['KeyChange']}Vendor MIB copy from the Observium Community archive.
Module: ATEN-PE-CFG
Same published definition (formatting differs; exact original is in the source file)
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'NOTIFICATION-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString'], 'SNMP-USER-BASED-SM-MIB': ['KeyChange']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.21317.1.3.2.2.2.1.5.1.1 | deviceOutletStatusIndex | 0 | 0 | |
| 1.3.6.1.4.1.21317.1.3.2.2.2.1.5.1.2 | displayOutletStatus | 0 | 0 |